
This is from pr/3051 (internal-latex) from Ulrik Vieth,
submitted Wed Jun 23 00:51:06 +0200 1999.
Ulrik's message is attached in full below.

--

After having moved house recently, I found a pile of old
floppies containing various ancient LaTeX2e releases.
Looking through the original 1994/06/01 release I happened
to find a few changes.txt entries that somehow got lost
during conversion to GNU ChangeLog format.  Enclosed is
a patch to recover this intersting part of the history.
It is based on the 9906 test release of changes.txt

Cheers, Ulrik.

P.S.  From the historical point-of-view, it is interesting 
to note that files like ltherest.dtx are first mentioned 
in mid-1991.  That's way _before_ the last official releases
of 2.09 (in December 1991 and March 1992).


--- changes.txt.orig    Fri May 28 00:00:00 1999
+++ changes.txt Wed Jun 23 00:14:30 1999
@@ -7696,29 +7696,29 @@

1994-03-16 David Carlisle <latex-bugs@latex-project.org>

-       * ltfiles.dtx v1.0c \document (DPC) directly add file list
+       * ltfiles.dtx: v1.0c \document (DPC) directly add file list
          settings

-       * ltclass.dtx 0.3f \listfiles Move this code directly into
+       * ltclass.dtx: 0.3f \listfiles Move this code directly into
          \document

-       * ltclass.dtx 0.3f "General" Add pkgindoc package
+       * ltclass.dtx: 0.3f "General" Add pkgindoc package

1994-03-15 David Carlisle <latex-bugs@latex-project.org>

-       * ltdirchk.dtx 1.0c "General" Add \NeedsTeXFormat
+       * ltdirchk.dtx: 1.0c "General" Add \NeedsTeXFormat

-       * ltclass.dtx 0.3e \@missingfileerror Quit on x or X just like
+       * ltclass.dtx: 0.3e \@missingfileerror Quit on x or X just like
          a real error

-       * fontcmds.dtx v3.2a "General" Removed defs of short-forms and
+       * fontcmds.dtx: v3.2a "General" Removed defs of short-forms and
          all sizes except \normalize

-       * fontcmds.dtx v3.2a "General" Removed \@renewfontswitch
+       * fontcmds.dtx: v3.2a "General" Removed \@renewfontswitch

-       * fontcmds.dtx v3.2a "General" Changed \/ to \@@italiccorr
+       * fontcmds.dtx: v3.2a "General" Changed \/ to \@@italiccorr

-       * fontcmds.dtx v3.2a "General" Adapted to mass formatting
+       * fontcmds.dtx: v3.2a "General" Adapted to mass formatting

1994-03-15 Frank Mittelbach <latex-bugs@latex-project.org>

@@ -7728,30 +7728,30 @@

1994-03-14 David Carlisle <latex-bugs@latex-project.org>

-       * ltherest.dtx v1.0c \end@float (DPC) Use \color@endgroup
+       * ltherest.dtx: v1.0c \end@float (DPC) Use \color@endgroup

-       * ltherest.dtx v1.0c \@xfloat (DPC) Use \color@begingroup
+       * ltherest.dtx: v1.0c \@xfloat (DPC) Use \color@begingroup

-       * ltherest.dtx v1.0c \@savemarbox (DPC) Use \color@begingroup
+       * ltherest.dtx: v1.0c \@savemarbox (DPC) Use \color@begingroup

-       * ltherest.dtx v1.0c \@footnotetext (DPC) Use
+       * ltherest.dtx: v1.0c \@footnotetext (DPC) Use
          \color@begingroup, add \endgraf

-       * ltherest.dtx 1.0c \@xympar (DPC) Use \color@begingroup
+       * ltherest.dtx: 1.0c \@xympar (DPC) Use \color@begingroup

-       * ltboxes.dtx 1.0b \sbox Use \color@begingroup
+       * ltboxes.dtx: 1.0b \sbox Use \color@begingroup

-       * ltboxes.dtx 1.0b \lrbox Use \color@begingroup
+       * ltboxes.dtx: 1.0b \lrbox Use \color@begingroup

-       * ltboxes.dtx 1.0b \color@endgroup macro added for colour
+       * ltboxes.dtx: 1.0b \color@endgroup macro added for colour
          support

-       * ltboxes.dtx 1.0b \color@begingroup macro added for colour
+       * ltboxes.dtx: 1.0b \color@begingroup macro added for colour
          support

-       * ltboxes.dtx 1.0b \@isavepicbox Use \color@begingroup
+       * ltboxes.dtx: 1.0b \@isavepicbox Use \color@begingroup

-       * ltboxes.dtx 1.0b \@isavebox Use \color@begingroup
+       * ltboxes.dtx: 1.0b \@isavebox Use \color@begingroup

1994-03-14 Rainer Schoepf <latex-bugs@latex-project.org>

@@ -7766,16 +7766,16 @@

1994-03-13 David Carlisle <latex-bugs@latex-project.org>

-       * ltinit.dtx v1.0c \@tfor (DPC) Add \@tf@r so a single group is
+       * ltinit.dtx: v1.0c \@tfor (DPC) Add \@tf@r so a single group is
          correctly treated.

-       * ltfiles.dtx 0.3b \InputIfFileExists Use new cmd
+       * ltfiles.dtx: 0.3b \InputIfFileExists Use new cmd
          \@addtofilelist

-       * ltclass.dtx 0.3d \listfiles Reset \@addtofilelist at begin
+       * ltclass.dtx: 0.3d \listfiles Reset \@addtofilelist at begin
          document

-       * ltclass.dtx 0.3d \@addtofilelist Macro added
+       * ltclass.dtx: 0.3d \@addtofilelist Macro added

1994-03-13 Frank Mittelbach <latex-bugs@latex-project.org>

@@ -7823,32 +7823,32 @@

1994-03-12 David Carlisle <latex-bugs@latex-project.org>

-       * ltplain.dtx v1.0b "General" Name changed from lplain. The end
+       * ltplain.dtx: v1.0b "General" Name changed from lplain. The end
          of an era

-       * ltinit.dtx v1.0b \@yargdef Name changed from \XXX@Argdef
+       * ltinit.dtx: v1.0b \@yargdef Name changed from \XXX@Argdef

-       * ltinit.dtx v1.0b \@reargdef New defn, in terms of \@yargdef
+       * ltinit.dtx: v1.0b \@reargdef New defn, in terms of \@yargdef

-       * ltherest.dtx v0.1b \@xympar (DPC) Extra bgroup for colour
+       * ltherest.dtx: v0.1b \@xympar (DPC) Extra bgroup for colour

-       * ltherest.dtx v0.1b \@savemarbox (DPC) Extra group for colour
+       * ltherest.dtx: v0.1b \@savemarbox (DPC) Extra group for colour

-       * ltdirchk.dtx 1.0b "General" Minor edits to the typeouts in
+       * ltdirchk.dtx: 1.0b "General" Minor edits to the typeouts in
          ltxcheck

-       * ltdirchk.dtx 1.0b "General" Change name from dircheck.dtx
+       * ltdirchk.dtx: 1.0b "General" Change name from dircheck.dtx

-       * ltclass.dtx 0.3c \ProvidesPackage use \@gtempa
+       * ltclass.dtx: 0.3c \ProvidesPackage use \@gtempa

-       * ltclass.dtx 0.3c \ProvidesPackage Add \wlog
+       * ltclass.dtx: 0.3c \ProvidesPackage Add \wlog

-       * ltclass.dtx 0.3c \ProvidesFile Add \wlog
+       * ltclass.dtx: 0.3c \ProvidesFile Add \wlog

-       * ltclass.dtx 0.3c "General" Change name from docclass to
+       * ltclass.dtx: 0.3c "General" Change name from docclass to
          ltclass

-       * ltclass.dtx 0.3c \@fileswithoptions Do not use
+       * ltclass.dtx: 0.3c \@fileswithoptions Do not use
          \@pr@videpackage to avoid typeout

1994-03-12 Frank Mittelbach <latex-bugs@latex-project.org>
@@ -7897,12 +7897,12 @@

1994-03-08 David Carlisle <latex-bugs@latex-project.org>

-       * ltplain.dtx v1.0a "General" Remove need for a driver file.
+       * ltplain.dtx: v1.0a "General" Remove need for a driver file.

-       * ltdirchk.dtx 1.0a "General" Reorganise driver module into `new
+       * ltdirchk.dtx: 1.0a "General" Reorganise driver module into `new
          style'

-       * ltclass.dtx 0.3b "General" Modify driver code into `new style'
+       * ltclass.dtx: 0.3b "General" Modify driver code into `new style'

1994-03-08 Rainer Schoepf <latex-bugs@latex-project.org>

@@ -8031,60 +8031,60 @@

1994-03-07 David Carlisle <latex-bugs@latex-project.org>

-       * lttab.dtx v1.0a "General" Long lines wrapped to 72 columns
+       * lttab.dtx: v1.0a "General" Long lines wrapped to 72 columns

-       * ltpictur.dtx v0.1a "General" Long lines wrapped to 72 columns
+       * ltpictur.dtx: v0.1a "General" Long lines wrapped to 72 columns

-       * ltpictur.dtx v0.1a "General" Initial version, split from
+       * ltpictur.dtx: v0.1a "General" Initial version, split from
          latex.dtx

-       * ltlists.dtx v1.0a "General" Long lines wrapped to 72 columns
+       * ltlists.dtx: v1.0a "General" Long lines wrapped to 72 columns

-       * ltinit.dtx v1.0a "General" (DPC) Removed input of nfsscode.ltx
+       * ltinit.dtx: v1.0a "General" (DPC) Removed input of nfsscode.ltx

-       * ltinit.dtx v1.0a \@@italiccorr Macro added
+       * ltinit.dtx: v1.0a \@@italiccorr Macro added

-       * ltinit.dtx v0.1a "General" Long lines wrapped to 72 columns
+       * ltinit.dtx: v0.1a "General" Long lines wrapped to 72 columns

-       * ltinit.dtx v0.1a "General" Initial version, split from
+       * ltinit.dtx: v0.1a "General" Initial version, split from
          latex.dtx

-       * ltherest.dtx v0.1a \end@float (DPC) Extra group for colour
+       * ltherest.dtx: v0.1a \end@float (DPC) Extra group for colour

-       * ltherest.dtx v0.1a "General" Long lines wrapped to 72 columns
+       * ltherest.dtx: v0.1a "General" Long lines wrapped to 72 columns

-       * ltherest.dtx v0.1a "General" Initial version, split from
+       * ltherest.dtx: v0.1a "General" Initial version, split from
          latex.dtx

-       * ltherest.dtx v0.1a \@xfloat (DPC) Extra group for colour
+       * ltherest.dtx: v0.1a \@xfloat (DPC) Extra group for colour

-       * ltherest.dtx v0.1a \@settodim (DPC) Extra group for colour
+       * ltherest.dtx: v0.1a \@settodim (DPC) Extra group for colour

-       * ltherest.dtx v0.1a \@hangfrom (DPC)Extra groups for colour
+       * ltherest.dtx: v0.1a \@hangfrom (DPC)Extra groups for colour

-       * ltherest.dtx v0.1a \@footnotetext (DPC) Extra group for colour
+       * ltherest.dtx: v0.1a \@footnotetext (DPC) Extra group for colour

-       * ltfinal.dtx v0.1a "General" Remove oldcomments environment
+       * ltfinal.dtx: v0.1a "General" Remove oldcomments environment

-       * ltfinal.dtx v0.1a "General" Initial version, split from
+       * ltfinal.dtx: v0.1a "General" Initial version, split from
          latex.dtx

-       * ltfinal.dtx 0.1a "General" use \InputIfFileExists not
+       * ltfinal.dtx: 0.1a "General" use \InputIfFileExists not
          \IfFileExists

-       * ltfinal.dtx 0.1a "General" move code here from lhyphen.dtx
+       * ltfinal.dtx: 0.1a "General" move code here from lhyphen.dtx

-       * ltfinal.dtx 0.1a "General" Add code from the old dump.dtx
+       * ltfinal.dtx: 0.1a "General" Add code from the old dump.dtx

-       * ltfiles.dtx v1.0a "General" Long lines wrapped to 72 columns
+       * ltfiles.dtx: v1.0a "General" Long lines wrapped to 72 columns

-       * ltfiles.dtx v1.0a "General" Initial version, split from
+       * ltfiles.dtx: v1.0a "General" Initial version, split from
          latex.dtx

-       * ltboxes.dtx v1.0a "General" Unify format with other Kernel
+       * ltboxes.dtx: v1.0a "General" Unify format with other Kernel
          files

-       * ltboxes.dtx v0.1a \@mpfootnotetext (DPC) Extra group for
+       * ltboxes.dtx: v0.1a \@mpfootnotetext (DPC) Extra group for
          colour

1994-03-07 Rainer Schoepf <latex-bugs@latex-project.org>
@@ -8110,13 +8110,13 @@

1994-03-04 David Carlisle <latex-bugs@latex-project.org>

-       * ltvers.dtx v1.0a "General" Initial version, split from
+       * ltvers.dtx: v1.0a "General" Initial version, split from
          latex.dtx

-       * lttab.dtx v1.0a "General" Initial version, split from
+       * lttab.dtx: v1.0a "General" Initial version, split from
          latex.dtx

-       * ltlists.dtx v1.0a "General" Initial version, split from
+       * ltlists.dtx: v1.0a "General" Initial version, split from
          latex.dtx

1994-03-04 Rainer Schoepf <latex-bugs@latex-project.org>
@@ -8127,7 +8127,7 @@

1994-03-03 David Carlisle <latex-bugs@latex-project.org>

-       * ltboxes.dtx 0.1f \@irsbox Replaced a missing \else
+       * ltboxes.dtx: 0.1f \@irsbox Replaced a missing \else

1994-03-03 Frank Mittelbach <latex-bugs@latex-project.org>

@@ -8139,11 +8139,11 @@

1994-03-02 David Carlisle <latex-bugs@latex-project.org>

-       * ltclass.dtx 0.3a "General" Remove need for driver file
+       * ltclass.dtx: 0.3a "General" Remove need for driver file

-       * ltboxes.dtx v0.1e "General" Remove need for drv file
+       * ltboxes.dtx: v0.1e "General" Remove need for drv file

-       * ltboxes.dtx v0.1e "General" Add 2ekernel module
+       * ltboxes.dtx: v0.1e "General" Add 2ekernel module

1994-03-02 Rainer Schoepf <latex-bugs@latex-project.org>

@@ -8191,9 +8191,10 @@
        makeidx class option, as it is now a proper package.  Changed
        leqno class option t oread leqno.clo.  Added fleqn class
        option (reads fleqn.clo).
+
1994-03-01 David Carlisle <latex-bugs@latex-project.org>

-       * ltdirchk.dtx 0.2k "General" Add unstripped module, so that
+       * ltdirchk.dtx: 0.2k "General" Add unstripped module, so that
          dircheck.dtx may be used with initex

1994-03-01 Frank Mittelbach <latex-bugs@latex-project.org>
@@ -8284,6 +8285,13 @@
        Moved the driver code in front so that the documentation can be
         processed by simply running the file through LaTeX2e.

+1994-02-25 David Carlisle <latex-bugs@latex-project.org>
+
+       * ltdirchk.dtx 0.2j "General" \noboundaryis \relax not undef in
+         TeX2 (initialised in 2e format)
+
+       * ltdirchk.dtx 0.2j "General" Remove need for drv file
+
1994-02-24 Frank Mittelbach <latex-bugs@latex-project.org>

        * fam.dtx (subsection{Macros for loading fonts}): 
@@ -8291,4 +8299,931 @@
        \DeclareFontShape and placed them into a separate macro called
        \nfss@catcodes so that it is easier to maintain special
        requirements for packages that make certain characters active.
+       
+1994-02-10 Alan Jeffrey <latex-bugs@latex-project.org>
+
+       * ltclass.dtx: 0.2z \@fileswithoptions Renamed \@compatibility to
+         \@documentclasshook. ASAJ.
+
+       * ltclass.dtx: 0.2z \@documentclasshook Changed the name from
+         \@compatibility to \@documentclasshook, and added the check
+         for whether \@normalsize has been defined. ASAJ.
+
+1994-02-07 Alan Jeffrey <latex-bugs@latex-project.org>
+
+       * ltclass.dtx: 0.2y \ProcessOptions* Add extra ,s so `two' is not
+         matched with `twocolumn'
+
+       * ltclass.dtx: 0.2y \ProcessOptions* Add extra ,s so `two' is not
+         matched with `twocolumn'
+
+       * ltclass.dtx: 0.2y \@ifclasswith Add extra ,s so `two' is not
+         matched with `twocolumn'
+
+       * ltclass.dtx: 0.2y \@fileswithoptions Run \@compatibility on the
+         first class to start (not the first to finish)
+
+1994-02-03 N.N. <latex-bugs@latex-project.org>
+
+       * ltinit.dtx: LaTeX2e "General" correct mistakes in the
+         documentation
+
+1994-02-02 N.N. <latex-bugs@latex-project.org>
+
+       * ltclass.dtx: 0.2x \@fileswithoptions Only run the hook and
+         options check if the file was loaded.
+
+1994-02-01 David Carlisle <latex-bugs@latex-project.org>
+
+       * ltherest.dtx: LaTeX2e \thispagestyle (DPC) Modify to get nicer
+         error message
+
+       * ltherest.dtx: LaTeX2e \pagestyle (DPC) Modify to get nicer
+         error message
+
+1994-01-31 N.N. <latex-bugs@latex-project.org>
+
+       * ltinit.dtx: LaTeX2e "General" use \@normalsize instead of
+         \normalsizeinternally
+
+       * ltfiles.dtx: v0.9t \document set `@normalsize or `normalsize if
+         necessary
+
+       * ltclass.dtx: 0.2w \g@addto@macro Use toks register to avoid
+         `hash' problems
+
+       * fontcmds.dtx: v3.1b "General" `@normalsize no longer defined
+
+1994-01-29 N.N. <latex-bugs@latex-project.org>
+
+       * ltclass.dtx: 0.2v \@fileswithoptions All options raise error if
+         no \ProcessOptions\ appears
+
+       * ltclass.dtx: 0.2v \@@unprocessedoptions Macro added.
+
+1994-01-28 N.N. <latex-bugs@latex-project.org>
+
+       * ltinit.dtx: LaTeX2e "General" Let \fmtversion point to current
+         file date.
+
+1994-01-27 N.N. <latex-bugs@latex-project.org>
+
+       * fontcmds.dtx: v3.1a \nocorrlist Only ., used as default for cm
+         fonts
+
+1994-01-25 David Carlisle <latex-bugs@latex-project.org>
+
+       * ltplain.dtx: LaTeX2e \bordermatrix Removed \p@renwd.
+
+       * ltdirchk.dtx: 0.2i "General" Protect against looping on
+         \@@input and \@@end
+
+1994-01-24 David Carlisle <latex-bugs@latex-project.org>
+
+       * ltherest.dtx: LaTeX2e \pagestyle (DPC) Complain if pagestyle is
+         undefined.
+
+       * ltdirchk.dtx: 0.2h \IfFileExists Stop testing once texsys.aux
+         has been found
+
+1994-01-21 David Carlisle <latex-bugs@latex-project.org>
+
+       * ltmiscen.dtx: v0.9s \verbatim@font Removed unnecessary category
+         code hackery.
+
+       * ltherest.dtx: LaTeX2e \@xfloat Added missing percent
+         characters.
+
+       * ltdirchk.dtx: 0.2g \today Name changeed from \stamp, to save
+         memory
+
+       * ltdirchk.dtx: 0.2g \filename@parse Minor changes, and add Mac
+         version (:)
+
+       * ltdirchk.dtx: 0.2g "General" Improve documentation, reorganise
+         docstrip module
+
+       * ltclass.dtx: 0.2u \documentstyle compatibility file now
+         latex209.def.
+
+1994-01-20 David Carlisle <latex-bugs@latex-project.org>
+
+       * ltdirchk.dtx: 0.2f \IfFileExists \@copytexsys removed
+
+       * ltdirchk.dtx: 0.2f "General" \@copytexsys and the texsys.new
+         file removed
+
+       * ltdirchk.dtx: 0.2f "General" Modify all of ltxcheck
+
+1994-01-19 David Carlisle <latex-bugs@latex-project.org>
+
+       * ltdirchk.dtx: 0.2e \strip@prefix name changed from
+         \strip@meaning, to match NFSS
+
+       * ltdirchk.dtx: 0.2e \input@path No longer check that an empty
+         group is in the path
+
+       * ltdirchk.dtx: 0.2e \IfFileExists name changed from \test
+
+1994-01-18 N.N. <latex-bugs@latex-project.org>
+
+       * ltmiscen.dtx: v0.9p \@verbatim Only add \penaltyif in hmode
+
+       * ltherest.dtx: LaTeX2e \bibliography Use \@input@ so include
+         files are listed.
+
+       * ltfiles.dtx: v0.9p \include Use \@input@ so include files are
+         listed.
+
+       * ltfiles.dtx: v0.9p \InputIfFileExists New Definition
+
+       * ltfiles.dtx: v0.9p \IfFileExists New Definition
+
+       * ltfiles.dtx: v0.9p \@input@ Macro added
+
+       * ltfiles.dtx: v0.9p \@input do not use a different definition
+         for \input@path
+
+       * ltfiles.dtx: v0.9p \@iffileonpath Macro added
+
+       * ltfiles.dtx: v0.9p \@break@loop Macro added
+
+       * ltclass.dtx: 0.2t \@ifclassloaded Fix typo \@pkgetension
+
+1994-01-17 N.N. <latex-bugs@latex-project.org>
+
+       * ltclass.dtx: 0.2s \listfiles New Version, adds `.tex' if
+         needed, and lines up columns
+
+       * ltclass.dtx: 0.2s "General" Wrapped long lines to column 72
+
+       * ltclass.dtx: 0.2s "General" Added many more \@onlypreamble
+         commands
+
+       * ltclass.dtx: 0.2s \@fileswithoptions Modify to reduce parameter
+         stack usage
+
+       * ltclass.dtx: 0.2s \@fileswithoptions Modify to reduce parameter
+         stack usage
+
+1994-01-15 N.N. <latex-bugs@latex-project.org>
+
+       * ltfiles.dtx: v0.9o \document move `@preamblecmds after document
+         hook
+
+1994-01-14 David Carlisle <latex-bugs@latex-project.org>
+
+       * ltdirchk.dtx: 0.2d \IfFileExists Close the texsys.aux output
+         stream
+
+1993-12-20 N.N. <latex-bugs@latex-project.org>
+
+       * ltinit.dtx: LaTeX2e \@reargdef Kept old version of \@reargdef,
+         for array.sty
+
+       * ltfiles.dtx: 0.9m \@obsoletefile Added this command, removed
+         @oldfilewarning
+
+1993-12-19 Alan Jeffrey <latex-bugs@latex-project.org>
+
+       * ltinit.dtx: LaTeX2e \@esphack There seem to be problems with
+         selfmade birthday presents
+
+       * ltclass.dtx: 0.2r \endfilecontents Different message when
+         ignoring a file
+
+       * fontcmds.dtx: v3.0b "General" Untidying added, so this is now a
+         TEMPORARY version.
+
+       * fontcmds.dtx: v3.0b "General" Some more tidying done.
+
+       * fontcmds.dtx: v3.0b "General" Other tidying
+
+       * fontcmds.dtx: v3.0b "General" @pdef comand added
+
+       * fontcmds.dtx: v3.0b \@protecteddef Command added
+
+       * fontcmds.dtx: v3.0b \@newtextcmd Corrected and tidied
+
+       * fontcmds.dtx: v3.0b \@newfontswitch Corrected and tidied
+
+       * fontcmds.dtx: 3.0b "General" Wording changes by CAR.
+
+       * fontcmds.dtx: 3.0b "General" Made \@newfontswitch produce an
+         error if the command already exists, and added
+         \@renewfontswitch. ASAJ.
+
+       * fontcmds.dtx: 3.0b "General" Added by ASAJ.
+
+1993-12-17 N.N. <latex-bugs@latex-project.org>
+
+       * ltoutput.dtx: v1.0j \@tracemessage tracefloatvals made a
+         document command
+
+       * ltoutput.dtx: v1.0j \@topnewpage check for vsize too small
+         added
+
+       * ltoutput.dtx: v1.0j \@startpagehook Hook removed
+
+       * ltoutput.dtx: v1.0j \@opcol Hook removed
+
+       * ltoutput.dtx: 1.0j \@topnewpage Page room test added
+
+       * ltoutput.dtx: 1.0j \@specialoutput Page room test added
+
+       * ltoutput.dtx: 1.0j \@addtocurcol Extra space test added
+
+       * ltherest.dtx: LaTeX2e \mark Removed init \mark at begin
+         document, since it doesn't work.
+
+       * ltclass.dtx: 0.2q \documentstyle Match Alan's new code.
+
+       * ltclass.dtx: 0.2q \@fileswithoptions Add \ompatibility hook
+
+       * ltclass.dtx: 0.2q \@documentclasshook Macro added
+
+       * ltmiscen.dtx: v0.9i \literal Macro added
+
+1993-12-16 N.N. <latex-bugs@latex-project.org>
+
+       * ltinit.dtx: LaTeX2e \LaTeXe Extended logo by DPC
+
+       * ltinit.dtx: LaTeX2e \@esphack Corrected optimisation :-)
+
+       * ltherest.dtx: LaTeX2e \mark Init \mark at begin document
+
+1993-12-15 N.N. <latex-bugs@latex-project.org>
+
+       * ltclass.dtx: 0.2p "General" Removed extra \.'s from \@@warnings
+
+       * ltboxes.dtx: 0.1d \parbox Changed default from `c' to `s'
+
+       * ltboxes.dtx: 0.1d \minipage extra space removed.
+
+       * ltboxes.dtx: 0.1d \minipage Changed default from `c' to `s'
+
+       * ltboxes.dtx: 0.1d \@iparbox Changed default from `c' to `s'
+
+       * ltboxes.dtx: 0.1d \@iminipage Changed default from `c' to `s'
+
+1993-12-14 N.N. <latex-bugs@latex-project.org>
+
+       * ltoutput.dtx: v1.0i "General" Section added to declare all
+         parameters
+
+1993-12-13 David Carlisle <latex-bugs@latex-project.org>
+
+       * ltlists.dtx: LaTeX2e Initialised \@itemlabel
+
+       * ltmiscen.dtx: v0.9h \@verbatim Removed optional argument of
+         \item
+
+       * ltmiscen.dtx: v0.9h \@verbatim Readded \@noligs
+
+       * ltmiscen.dtx: v0.9h \@noligs Readded \@noligs
+
+       * ltdirchk.dtx: 0.2a \strip@prefix modified, name changed from
+         \stripmeaning
+
+       * ltdirchk.dtx: 0.2a \IfFileExists Removed interactive prompting
+         for current directory syntax
+
+       * ltdirchk.dtx: 0.2a "General" on the `docstrip' pass, do not
+         check openin path
+
+       * ltclass.dtx: 0.2o \usepackage Fixed error handling
+
+       * ltclass.dtx: 0.2o \documentstyle compatibility file now
+         latex209.sty.
+
+       * ltclass.dtx: 0.2o "General" Removed setting \errcontextlines\
+         (now in latex.tex)
+
+1993-12-12 N.N. <latex-bugs@latex-project.org>
+
+       * ltoutput.dtx: v1.0h \@tracemessage Commands changed
+
+       * ltoutput.dtx: v1.0h \@testfp defs changed to lets
+
+       * ltoutput.dtx: v1.0h \@startdblcolumn defs changed to lets
+
+       * ltoutput.dtx: v1.0h \@startcolumn defs changed to lets
+
+       * ltoutput.dtx: v1.0h \@resethfps Warnings added: minimal
+
+       * ltoutput.dtx: v1.0h \@makecol defs changed to lets
+
+       * ltoutput.dtx: v1.0h \@doclearpage defs changed to lets
+
+       * ltoutput.dtx: v1.0h \@doclearpage defs changed to lets
+
+       * ltoutput.dtx: v1.0h \@doclearpage defs changed to lets
+
+       * ltoutput.dtx: v1.0h \@cflt name changed
+
+       * ltoutput.dtx: v1.0h \@ccflb defs changed to lets
+
+       * ltoutput.dtx: v1.0h \@ccflb boxmaxdepth setting moved
+
+1993-12-11 N.N. <latex-bugs@latex-project.org>
+
+       * ltmiscen.dtx: v0.9g \ref Macro reimplemented
+
+       * ltmiscen.dtx: v0.9g \pageref Macro reimplemented
+
+       * ltmiscen.dtx: v0.9g \frac Added group around first arg
+
+       * ltmiscen.dtx: v0.9g \@setref Macro added
+
+       * ltherest.dtx: LaTeX2e \@title Added default
+
+       * ltherest.dtx: LaTeX2e \@author Added default
+
+       * fontcmds.dtx: v3.0a \textup Macros changed
+
+       * fontcmds.dtx: v3.0a \sw@slant Macro changed
+
+       * fontcmds.dtx: v3.0a \maybe@ic@ Macro and name changed
+
+       * fontcmds.dtx: v3.0a \maybe@ic Macro name changed
+
+       * fontcmds.dtx: v3.0a \fix@penalty Macro added
+
+       * fontcmds.dtx: v3.0a \emph Macro changed
+
+       * fontcmds.dtx: v3.0a "General" newfontswitch command corrected
+         and changed
+
+       * fontcmds.dtx: v3.0a "General" newcommands replaced by defs
+
+       * fontcmds.dtx: v3.0a "General" italic correction now put in
+         front of penalty before glue
+
+       * fontcmds.dtx: v3.0a "General" Complete reworking of all text
+         commands, using just one creator function
+
+       * fontcmds.dtx: v3.0a \@newtextcmd Macro changed
+
+1993-12-09 N.N. <latex-bugs@latex-project.org>
+
+       * ltmiscen.dtx: v0.9e \enddocument Hook added
+
+       * ltfiles.dtx: v0.9e \document Hook added
+
+       * ltclass.dtx: 0.2n \documentstyle input 209 compatibility file.
+
+       * ltboxes.dtx: 0.1c \@irsbox fix another typo
+
+1993-12-08 N.N. <latex-bugs@latex-project.org>
+
+       * ltlists.dtx: LaTeX2e \@item use \sboxto support colour
+
+       * ltinit.dtx: LaTeX2e \@vbsphack Command added
+
+       * ltinit.dtx: LaTeX2e \@esphack Command reimplemented
+
+       * ltinit.dtx: LaTeX2e \@bsphack Command reimplemented; late
+         birthday present for Chris
+
+       * ltboxes.dtx: 0.1b \lrbox move \@endpefalse out of the inner
+         group
+
+       * ltboxes.dtx: 0.1b \@irsbox fix typo
+
+       * ltboxes.dtx: 0.1b \@iiiparbox \endgraf added due to extra group
+         in \@begin@tempboxa
+
+       * ltboxes.dtx: 0.1b \@begin@tempboxa Extra braces for color
+         support (braces removed from other macros)
+
+       * fontcmds.dtx: 2.1b "General" Macros \rm, \bf and \sf moved to
+         classes.dtx:
+
+1993-12-07 N.N. <latex-bugs@latex-project.org>
+
+       * ltclass.dtx: 0.2m \@fileswithoptions Reset \CurrentOption
+
+       * ltclass.dtx: 0.2l \ProvidesFile Macro added
+
+1993-12-06 N.N. <latex-bugs@latex-project.org>
+
+       * ltoutput.dtx: v1.0g \@topnewpage \@floatplacement placement bug
+         fixed
+
+       * ltoutput.dtx: v1.0f \@specialoutput Unboxing of 255 added to
+         rescue writes
+
+       * ltclass.dtx: 0.2k \ExecuteOptions Preserve \CurrentOption
+
+1993-12-05 N.N. <latex-bugs@latex-project.org>
+
+       * ltoutput.dtx: v1.0f \output Command changed
+
+       * ltoutput.dtx: v1.0f @\getfpsbit Command added
+
+       * ltoutput.dtx: v1.0f @\boxfpsbit Command added
+
+       * ltoutput.dtx: v1.0f \@topnewpage Commands changed
+
+       * ltoutput.dtx: v1.0f \@textfloatsheight Commands added
+
+       * ltoutput.dtx: v1.0f \@testfp Command changed
+
+       * ltoutput.dtx: v1.0f \@testfp Command added
+
+       * ltoutput.dtx: v1.0f \@startpagehook Hook added
+
+       * ltoutput.dtx: v1.0f \@startdblcolumn Command changed
+
+       * ltoutput.dtx: v1.0f \@startcolumn Command changed
+
+       * ltoutput.dtx: v1.0f \@shipoutsetup Command added
+
+       * ltoutput.dtx: v1.0f \@setfpsbit Command added
+
+       * ltoutput.dtx: v1.0f \@setfloattypecounts Command added
+
+       * ltoutput.dtx: v1.0f \@resethfps Command added
+
+       * ltoutput.dtx: v1.0f \@outputpage Command changed
+
+       * ltoutput.dtx: v1.0f \@opcol Hook added
+
+       * ltoutput.dtx: v1.0f \@opcol Command changed
+
+       * ltoutput.dtx: v1.0f \@fpsadddefault Command added
+
+       * ltoutput.dtx: v1.0f \@flupdates Command added
+
+       * ltoutput.dtx: v1.0f \@flstop Commands added
+
+       * ltoutput.dtx: v1.0f \@flsettextmin Command added
+
+       * ltoutput.dtx: v1.0f \@flsetnum Command added
+
+       * ltoutput.dtx: v1.0f \@flcheckspace Command added
+
+       * ltoutput.dtx: v1.0f \@addtotoporbot Command changed
+
+       * ltoutput.dtx: v1.0f \@addtonextcol Command changed
+
+       * ltoutput.dtx: v1.0f \@addtodblcol Command changed
+
+       * ltoutput.dtx: v1.0f \@addtocurcol Command changed
+
+       * ltoutput.dtx: v1.0f \@addtobot Command changed
+
+       * ltherest.dtx: LaTeX2e \@xfloat Command changed
+
+       * ltherest.dtx: LaTeX2e \@dblfloatplacement Command changed
+
+1993-12-04 N.N. <latex-bugs@latex-project.org>
+
+       * ltfiles.dtx: v0.9b \input Macro reimplemented
+
+       * ltfiles.dtx: v0.9b \InputIfFileExists Macro added
+
+       * ltfiles.dtx: v0.9b \IfFileExists Macro added
+
+       * ltfiles.dtx: v0.9b \@input Macro reimplemented
+
+       * ltfiles.dtx: v0.9b \@iinput Macro reimplemented
+
+1993-12-03 N.N. <latex-bugs@latex-project.org>
+
+       * ltinit.dtx: v0.9b \@latexerr Set \c@errorcontextlines to -1
+
+       * ltclass.dtx: 0.2i "General" \@onlypreamble: Many commands
+         declared.
+
+       * ltclass.dtx: 0.2i "General" Removed obsolete \@documentclass
+
+       * ltclass.dtx: 0.2i \@cls@pkg Name changed to avoid clash with
+         output routine.
+
+       * ltboxes.dtx: 0.1a \set@color macro added
+
+       * ltboxes.dtx: 0.1a \set@color color support
+
+       * ltboxes.dtx: 0.1a \sbox extra group
+
+       * ltboxes.dtx: 0.1a \sbox color support
+
+       * ltboxes.dtx: 0.1a \raisebox redefined to support \height
+
+       * ltboxes.dtx: 0.1a \parbox Redefined to support extra optional
+         arguments
+
+       * ltboxes.dtx: 0.1a \newsavebox Pass the whole of arg 1 to
+         \@ifdefinable
+
+       * ltboxes.dtx: 0.1a \minipage Redefined to support extra optional
+         arguments
+
+       * ltboxes.dtx: 0.1a \mbox extra group
+
+       * ltboxes.dtx: 0.1a \makebox modified
+
+       * ltboxes.dtx: 0.1a \lrbox macro added
+
+       * ltboxes.dtx: 0.1a \lrbox color support
+
+       * ltboxes.dtx: 0.1a \fbox extra group
+
+       * ltboxes.dtx: 0.1a \endlrbox macro added
+
+       * ltboxes.dtx: 0.1a \bm@b macros added
+
+       * ltboxes.dtx: 0.1a \@savebox default c not x
+
+       * ltboxes.dtx: 0.1a \@makepicbox macro modified
+
+       * ltboxes.dtx: 0.1a \@makebox default changed from x to c
+
+       * ltboxes.dtx: 0.1a \@isavepicbox extra group
+
+       * ltboxes.dtx: 0.1a \@isavebox extra group
+
+       * ltboxes.dtx: 0.1a \@isavebox color support
+
+       * ltboxes.dtx: 0.1a \@irsbox redefined to support \height
+
+       * ltboxes.dtx: 0.1a \@imakebox macro modified
+
+       * ltboxes.dtx: 0.1a \@iirsbox redefined to support \height
+
+       * ltboxes.dtx: 0.1a \@end@tempboxa macro added
+
+       * ltboxes.dtx: 0.1a \@begin@tempboxa macro added
+
+       * ltboxes.dtx: 0.1a \@argrsbox macro removed
+
+1993-12-01 N.N. <latex-bugs@latex-project.org>
+
+       * ltoutput.dtx: v1.0e \@reinserts Command added
+
+1993-11-30 N.N. <latex-bugs@latex-project.org>
+
+       * ltoutput.dtx: v1.0c \@tracemessage Commands added
+
+       * ltmiscen.dtx: LaTeX2e \eqnarray initialised everycr to {}
+
+1993-11-29 N.N. <latex-bugs@latex-project.org>
+
+       * ltplain.dtx: ??? "General" All accents in decimals; suggested
+         by Paul Taylor
+
+       * ltoutput.dtx: v1.0b \@makespecialcolbox Command added
+
+       * ltoutput.dtx: v1.0b \@makecol \@makespecialcolbox added
+
+1993-11-28 N.N. <latex-bugs@latex-project.org>
+
+       * ltclass.dtx: 0.2h \endfilecontents Don't globally allocate a
+         write stream (always use 15)
+
+       * ltclass.dtx: 0.2h "General" Primitive filenames now terminated
+         by space not \relax.
+
+       * ltclass.dtx: 0.2h "General" Directory syntax checing moved to
+         dircheck.dtx:
+
+       * ltclass.dtx: 0.2h "General" Assorted commands now in the kernel
+         removed.
+
+       * ltclass.dtx: 0.2h \@twoclasseserror Macro added
+
+       * ltclass.dtx: 0.2h \@missingfileerror Use filename parser from
+         dircheck
+
+1993-11-24 N.N. <latex-bugs@latex-project.org>
+
+       * ltinit.dtx: LaTeX2e \P@LaTeX Macro changed
+
+       * fontcmds.dtx: v2.1a \test@next Macro added
+
+       * fontcmds.dtx: v2.1a \maybe@ic@ Use \test@next
+
+1993-11-23 N.N. <latex-bugs@latex-project.org>
+
+       * ltoutput.dtx: v0.1c \enlargethispage* Commands added
+
+       * ltoutput.dtx: v0.1c \@specialoutput Command changed
+
+       * ltoutput.dtx: v0.1c \@makecol Command changed
+
+       * ltoutput.dtx: v0.1c \@kludgeins Insert added
+
+       * ltoutput.dtx: v0.1c \@enlargepage Command added
+
+       * ltoutput.dtx: v0.1a \paperwidth Register added
+
+       * ltoutput.dtx: v0.1a \paperheight Register added
+
+       * ltinit.dtx: LaTeX2e \two@digits Macro added
+
+       * ltinit.dtx: LaTeX2e \renewenvironment Macro reimplemented and
+         extended
+
+       * ltinit.dtx: LaTeX2e \renewcommand Macro reimplemented and
+         extended
+
+       * ltinit.dtx: LaTeX2e \newcommand Macro reimplemented and
+         extended
+
+       * ltinit.dtx: LaTeX2e "General" replaced plus by \@plus if
+         appropriate
+
+       * ltinit.dtx: LaTeX2e \@yargdef Macro interface changed
+
+       * ltinit.dtx: LaTeX2e \@yargdef Avoid \@?@? token
+
+       * ltinit.dtx: LaTeX2e \@xargdef Macro interface changed
+
+       * ltinit.dtx: LaTeX2e \@xargdef Macro added
+
+       * ltinit.dtx: LaTeX2e \@newenv Macro interface changed
+
+       * ltinit.dtx: LaTeX2e \@newcommand Macro added
+
+       * ltinit.dtx: LaTeX2e \@ifundefined Redefined to remove a
+         trailing \fi
+
+       * ltclass.dtx: 0.2g "General" Warnings and errors now directly
+         coded.
+
+       * ltclass.dtx: 0.2g "General" Various macros now moved to
+         latex.tex.
+
+       * ltclass.dtx: 0.2g \@use@ption Name changed from \@executeoption
+
+1993-11-22 N.N. <latex-bugs@latex-project.org>
+
+       * ltinit.dtx: LaTeX2e \providecommand Macro added
+
+       * ltinit.dtx: LaTeX2e \c@errorcontextlines Macro added
+
+       * ltinit.dtx: LaTeX2e \LaTeXe Macro added
+
+       * ltinit.dtx: LaTeX2e \@plus Macro added
+
+       * ltinit.dtx: LaTeX2e \@minus Macro added
+
+       * ltinit.dtx: LaTeX2e \@checkcommand Macro added
+
+       * ltherest.dtx: LaTeX2e \settoheight Macro added
+
+       * ltherest.dtx: LaTeX2e \settodepth Macro added
+
+       * ltherest.dtx: LaTeX2e \@settopoint Macro added
+
+       * ltherest.dtx: LaTeX2e \@settodim Macro added
+
+       * ltclass.dtx: 0.2f \listfiles Removed checking for
+         \@unknownversion
+
+       * ltclass.dtx: 0.2f \@unknownversion Macro removed
+
+       * ltclass.dtx: 0.2f \@ifclasslater Added //00 so parsing never
+         produces a runaway argument.
+
+       * ltclass.dtx: 0.2f \@fileswithoptions Made the initial version
+         [] not [\@unknownversion]
+
+       * ltclass.dtx: 0.2f \@fileswithoptions Made the default [] not
+         [\@unknownversion]
+
+1993-11-21 N.N. <latex-bugs@latex-project.org>
+
+       * ltmiscen.dtx: v0.9a \verbatim@font Macro added
+
+       * ltmiscen.dtx: v0.9a \verb use \verbatim@font instead of \tt
+
+1993-11-21 N.N. <latex-bugs@latex-project.org>
+
+       * ltmiscen.dtx: v0.9a \@verbatim use \verbatim@font instead of
+         \tt
+
+       * ltinit.dtx: LaTeX2e "General" replaced \tt by \ttfamily if
+         appropriate
+
+       * ltinit.dtx: LaTeX2e "General" replaced \sf by \sffamily if
+         appropriate
+
+       * ltinit.dtx: LaTeX2e "General" replaced \sc by \scshape if
+         appropriate
+
+       * ltinit.dtx: LaTeX2e "General" replaced \rm by \rmfamily if
+         appropriate
+
+       * ltinit.dtx: LaTeX2e "General" replaced \it by \itshape if
+         appropriate
+
+       * ltinit.dtx: LaTeX2e "General" replaced \bf by \bfseries if
+         appropriate
+
+       * ltclass.dtx: 0.2e \@missingfileerror Stop infinite looping on
+         \@er@ext
+
+1993-11-18 N.N. <latex-bugs@latex-project.org>
+
+       * ltclass.dtx: 0.2d \documentstyle Modified \RequirePackage stuff.
+
+       * ltclass.dtx: 0.2d \NeedsTeXFormat \fmtname \fmtversion not
+         \@\pldots
+
+       * ltclass.dtx: 0.2d \ExecuteOptions Use \CurrentOption not \@tempa
+
+1993-11-17 N.N. <latex-bugs@latex-project.org>
+
+       * ltclass.dtx: 0.2c \ProcessOptions* restoring \@fileswith@pti@ns
+         added.
+
+       * ltclass.dtx: 0.2c \NeedsTeXFormat Name changed from
+         \NeedsFormat
+
+       * ltclass.dtx: 0.2c \DeclareOption* Error checking added
+
+       * ltclass.dtx: 0.2c \CurrentOption Name changed from \@curroption
+
+       * ltclass.dtx: 0.2c \@twoloadclasserror Macro added
+
+       * ltclass.dtx: 0.2c \@fileswithoptions Added trap for two
+         \LoadClass commands.
+
+       * ltclass.dtx: 0.2c \@badrequireerror Macro added
+
+       * ltclass.dtx: 0.2c \@@fileswith@pti@ns Macro added
+
+1993-11-15 N.N. <latex-bugs@latex-project.org>
+
+       * ltclass.dtx: 0.2b \documentstyle Modified to match
+         \ProcessOption*
+
+       * ltclass.dtx: 0.2b \ProcessOptions* Star form added.
+
+1993-11-14 N.N. <latex-bugs@latex-project.org>
+
+       * ltclass.dtx: 0.2a \g@addto@macro Made global
+
+       * ltclass.dtx: 0.2a \documentstyle Added \RequirePackage
+         \@unusedoptionlist stuff.
+
+       * ltclass.dtx: 0.2a \ProcessOptions* Stop adding the global
+         option list inside class files.
+
+       * ltclass.dtx: 0.2a \ProcessOptions* Optimise `empty option'
+         code.
+
+       * ltclass.dtx: 0.2a \NeedsTeXFormat made more robust for
+         alternative syntax for other formats.
+
+       * ltclass.dtx: 0.2a \AtEndDocument Included extension in the
+         generated macro name for package and class hooks.
+
+       * ltclass.dtx: 0.2a \@reset@ptions macro added
+
+       * ltclass.dtx: 0.2a \@fileswithoptions Moved reseting of
+         \default@ds, \ds@ and \@declaredoptions here, from the end of
+         \ProcessOptions.
+
+       * ltclass.dtx: 0.2a \@currext Name changed from \@currextension
+
+1993-11-03 Rainer Schoepf <latex-bugs@latex-project.org>
+
+       * ltpictur.dtx: LaTeX2.09 "General" (RmS) changed \halign to
+         \ialignto initialize \tabskip  and \everycr
+
+1993-09-08 N.N. <latex-bugs@latex-project.org>
+
+       * ltmiscen.dtx: LaTeX2.09 \enddocument Added warning in case of
+         undefined references.
+
+1993-09-07 N.N. <latex-bugs@latex-project.org>
+
+       * ltmiscen.dtx: LaTeX2.09 Changed definition of \verb so that
+         it detects a missing second delimiter.
+
+1993-09-03 N.N. <latex-bugs@latex-project.org>
+
+       * ltmiscen.dtx: LaTeX2.09 \verbatim@nolig@list Replaced \@noligs
+         by extensible list
+
+1993-08-05 Rainer Schoepf <latex-bugs@latex-project.org>
+
+       * ltherest.dtx: LaTeX2.09 \@sect (RmS) Made sure that
+         \protectworks correctly in expansion of \the<counter>
+
+1993-08-03 N.N. <latex-bugs@latex-project.org>
+
+       * ltmiscen.dtx: LaTeX2.09 \enddocument Changed redefinition of
+         \global to redefinition of \@setckpt.
+
+1993-05-05 N.N. <latex-bugs@latex-project.org>
+
+       * fontcmds.dtx: v2.0b "General" Removed all LaTeX related cmds
+
+1992-11-26 Rainer Schoepf <latex-bugs@latex-project.org>
+
+       * ltherest.dtx: LaTeX2.09 \footnote (RmS) Changed all to
+         \def\protect{\noexpand\protect\noexpand}
+
+       * ltherest.dtx: LaTeX2.09 \@footnotetext (RmS) added protection
+         for \edef
+
+       * ltboxes.dtx: LaTeX2.09 \@mpfootnotetext (RmS) added protection
+         for \edef
+
+1992-08-25 Frank Mittelbach <latex-bugs@latex-project.org>
+
+       * ltherest.dtx: LaTeX2.09 \@sect (FMi) replaced explicit setting
+         of \@svsec by call to \@seccntformat
+
+1992-08-24 N.N. <latex-bugs@latex-project.org>
+
+       * ltmiscen.dtx: LaTeX2.09 \verb Changed \verband \@sverb to work
+         correctly in math mode
+
+       * ltinit.dtx: LaTeX2.09 \@ifnextchar Changed so first argument
+         can be `='.
+
+1992-08-19 Rainer Schoepf <latex-bugs@latex-project.org>
+
+       * ltherest.dtx: LaTeX2.09 \@othm (RmS) Changed error message to
+         complain about undefined counter
+
+1992-03-18 Rainer Schoepf <latex-bugs@latex-project.org>
+
+       * ltherest.dtx: LaTeX2.09 \end@float (RmS) changed \@esphack to
+         \@Esphack
+
+       * ltherest.dtx: LaTeX2.09 \@xympar (RmS) added
+         \global\@ignorefalse
+
+1992-01-10 Rainer Schoepf <latex-bugs@latex-project.org>
+
+       * ltherest.dtx: LaTeX2.09 \@othm (RmS) Check for existence of
+         theorem environment
+
+1991-11-22 Rainer Schoepf <latex-bugs@latex-project.org>
+
+       * ltlists.dtx: LaTeX2.09 \@item (RmS) Changed second call to
+         \makelabelto \unhbox\@tempboxa. Avoids problems with side
+         effects in \makelabeland is more efficient.
+
+       * ltherest.dtx: LaTeX2.09 \footnote (RmS) Added
+         \let\protect\noexpandin \@xfootnote, \@xfootnotemark, and
+         \@xfootnotetext
+
+1991-11-06 Rainer Schoepf <latex-bugs@latex-project.org>
+
+       * ltherest.dtx: LaTeX2.09 \end@float (RmS) added warning message
+         perhaps we should use an error message
+
+1991-11-04 Rainer Schoepf <latex-bugs@latex-project.org>
+
+       * ltlists.dtx: LaTeX2.09 \makelabel (RmS) added default
+         definition for \makelabel, to produce an error message.
+
+1991-11-01 Rainer Schoepf <latex-bugs@latex-project.org>
+
+       * ltherest.dtx: LaTeX2.09 \footnote (RmS) Added
+         \let\protect\noexpandin \footnote, \footnotemark, and
+         \footnotetext, since \xdef is used
+
+1991-10-17 Rainer Schoepf <latex-bugs@latex-project.org>
+
+       * ltinit.dtx: LaTeX209 \@tfor (Rms) \xdef replaced by \def (See
+         FMi's array.doc)
+
+1991-09-29 Rainer Schoepf <latex-bugs@latex-project.org>
+
+       * ltherest.dtx: LaTeX2.09 \@footnotetext (RmS) added \reset@font
+
+       * ltherest.dtx: LaTeX2.09 \@dottedtocline (RmS) added
+         \reset@font for page number
+
+       * ltboxes.dtx: LaTeX2.09 \@mpfootnotetext (RmS) added
+         \reset@font
+
+1991-08-26 N.N. <latex-bugs@latex-project.org>
+
+       * ltmiscen.dtx: LaTeX2.09 \@verbatim \@@par added
+
+1991-08-14 Rainer Schoepf <latex-bugs@latex-project.org>
+
+       * ltplain.dtx: LaTeX2.09 \cases (RmS) inserted extra braces
+         around entry for NFSS
+
+       * ltpictur.dtx: LaTeX2.09 "General" (RmS) inserted extra braces
+         around entry for NFSS
+
+       * ltherest.dtx: LaTeX2.09 \@endtheorem Moved \itshapeafter \item
+         to make it work with NFSS
+
+1991-07-24 N.N. <latex-bugs@latex-project.org>
+
+       * ltmiscen.dtx: LaTeX2.09 \@verbatim Added
+         \penalty\interlinepenalty to definition of \par so that
+         \samepage works